Package relaxngcc.grammar

## Class JavaBlock

- java.lang.Object
- - relaxngcc.grammar.Pattern
  - - relaxngcc.grammar.JavaBlock

-     public class JavaBlock
      extends Pattern

  Represents <cc:java> block. This class derives Pattern so that it can be mixed with other patterns. However, only GroupPattern is allowed to have this Pattern as its child.
  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `code` | code fragment.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaBlock​(ParserRuntime rt, java.lang.String code_)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `apply​(PatternFunction f)` |
    `JavaBlock` | `asJavaBlock()` |
    `Pattern` | `asPattern()` |
    `boolean` | `isJavaBlock()` |
    `boolean` | `isPattern()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### code

          public final java.lang.String code

      code fragment.

  - ### Constructor Detail

    - #### JavaBlock

          public JavaBlock​(ParserRuntime rt,
                           java.lang.String code_)

  - ### Method Detail

    - #### apply

          public java.lang.Object apply​(PatternFunction f)

      Specified by:
        `apply` in class `Pattern`

    - #### isPattern

          public boolean isPattern()

    - #### asPattern

          public Pattern asPattern()

    - #### isJavaBlock

          public boolean isJavaBlock()

    - #### asJavaBlock

          public JavaBlock asJavaBlock()